# libxmljs-extra
The object that comes from `require('libxmljs-extra')`.


## Properties

### Document: `Document`
>A copy of the Document class from `libxmljs` with extra methods and existing ones modified.

### libxml_version: `string`
>Gets the compiled version of libxml.

### libxml_parser_version: `string`
>Gets the loaded version of libxml.

### libxml_debug_enabled: `boolean`
>Tells whether debug mode is enabled.

### Comment: `libxmljs.Comment`
>The `libxmljs.Comment` class.

### Element: `libxmljs.Element`
>The `libxmljs.Element` class.

### ProcessingInstruction: `libxmljs.ProcessingInstruction`
>The `libxmljs.ProcessingInstruction` class.

### Text: `libxmljs.Text`
>The `libxmljs.Text` class.

### SaxParser: `libxmljs.SaxParser`
>The `libxmljs.SaxParser` class.

### SaxPushParser: `libxmljs.SaxPushParser`
>The `libxmljs.SaxPushParser` class.


## Functions

### memoryUsage(): `number`
>Gets the amount of memory allocated by libxml.

### nodeCount(): `number`
>Gets the number of nodes that haven't been freed.
